mdcache=/tmp/mdcache
inyumconf=yum.fedora.template
tmpyumconf=yum.fedora.conf

testing=yes
releasever=10


function runrc()
{
    # repo $basearch value is not the same as target arch!
    arch=${basearch}
    [ $basearch == i386 ] && arch=i686
    [ $basearch == ppc ] && arch=ppc64

	extraargs=""
#    [ $basearch == i386 ] && extraargs="${extraargs} --nomultilibhack"
    # Fedora >= 11
#    [ $basearch == i386 ] && extraargs="${extraargs} --rawhidehack"

    # "development" has separate repo definitions
    # which conflict if $releasever=development
    reporeleasever=$releasever
    [ $releasever == development ] && reporeleasever=DISABLED

    ./substrepo \
		-s releasever:$reporeleasever \
		-s basearch:$basearch \
		$inyumconf > $tmpyumconf

    # toggle updates
    if [ $releasever != development ]; then
		updatesargs=" -r fedora-updates-${releasever}-${basearch}"
    else
		updatesargs=""
    fi

    # toggle updates-testing
    if [ $testing == yes ]; then
		testingargs=" -r fedora-updates-testing-${releasever}-${basearch}"
    else
		testingargs=""
    fi

    time ./rc-modified \
		-q \
		-d ${mdcache} \
		-n \
		-c ${tmpyumconf} \
		-a ${arch} \
		-r fedora-${releasever}-${basearch} \
		${updatesargs} \
		${testingargs} \
		> rc-fedora-${releasever}-${basearch}.txt
}


for basearch in i386 x86_64 ppc ppc64 ; do
	runrc
done

# Examples:
#./rc-report.py -k fedora --noowners rc-fedora-${releasever}-{i386,x86_64,ppc,ppc64}.txt
#./rc-report.py -c report-fedora.cfg -w testing -m owner -m summary -k fedora rc-fedora-10-{i386,x86_64,ppc,ppc64}.txt
